• 締切済み
  • すぐに回答を!

Oracle 9パッチ適用時のエラー解決方法をおしえてください

初めまして。 Oracleのパッチ適用について質問させてください。 Solaris 9をセットアップし、Oracle 9.2.0.1を導入しました。 Oracle 9iをインストール直後に9.2.0.2のパッチを適用しようと runInstallerを実行すると、下記エラーが発生してパッチ適用が 行えませんでした。 Error occurred during initialization of VM java/lang/NoClassDefFoundError: java/security/ProtectionDomain これはどのような原因で発生するエラーなのかご教授願います。 また、回避策も教えていただければ幸いです。

共感・応援の気持ちを伝えよう!

  • 回答数1
  • 閲覧数400
  • ありがとう数5

みんなの回答

  • 回答No.1

パッチに関する質問はOracleサポートセンターで直接問い合わせてください。 パッチ情報、バグ情報などの製品サポートから得た正規保守契約者のみが知ることができる情報は公開できないことになっております(サポート契約違反となる恐れがあります)。

共感・感謝の気持ちを伝えよう!

関連するQ&A

  • インストール後のパッチ適用について

    こんにちわ。Oracle初級者です。 現在Oracle9iのインストールを実施しているのですが、 Oracle9.2.0.1インストール⇒PSR 9.2.0.4インストール⇒CPU 3811887の順番で行い、最後のCPU適用で『OPatch succeeded』となるのですが、 $ opatch lsinventory を実行したときの表示に、適用されているパッチ情報がでてきません。 ログを確認すると以下のメッセージを見つけました。 --------------------------------------------------------------- Exception in thread "main" java.lang.NoClassDefFoundError: javax/xml/transform/Source at opatch.LsInventory.getOneOffList(LsInventory.java:671) at opatch.LsInventory.main(LsInventory.java:243) Result: There is no Interim Patch OPatch succeeded. ---------------------------------------------------------------- このメッセージが原因で、表示されないのではないかと考えています。どなたかご教授をお願いします。

  • Oracle10g~のインストール方法

    Oracle10g(10.2.0.5)をインストールしようと思います。 OSはHP-UXです。 1.これはパッチ?なので、このままインストールできないんでしょうか?   まずOracle10g(10.2.0.1)をいれないといけないのでしょうか。    10.2.0.5のrunInstallerを起動し画面は表示されましたが、インベントリの作成権限がないとそれに  関するフォルダが作成されてありませんでした。 2.まず10.2.0.1をインストールしようとしたところ、OSの要件を満たせずrunInstallerから画面を表示で  きませんでした。バージョンが新しすぎてだめなようです。 上記バージョンをインストールするための方法を教えて頂けますか。

  • runInstallerを実行するとエラーになる(RedHat)

    RedHat ES 4.5 でOracle9.2.0.4をインストールしようとしています。 (インストールしたいのはClientの機能だけです) runInstallerを実行すると、以下のメッセージが出力されます。 ↓↓↓ [oracle@web1 Disk1]$ Initializing Java Virtual Machine from /tmp/OraInstall2008-10-21_10-01-39AM/jre/bin/java. Please wait... Error occurred during initialization of VM Unable to load native library: /tmp/OraInstall2008-10-21_10-01-39AM/jre/lib/i386/libjava.so: symbol __libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link time reference ↑↑↑ GLIBC_2.0がないと言っていますが、具体的な対処方法を 教えてもらえますととても助かります。 linuxの知識が浅くすみません、お願いします。

  • xpでのsdkインストール

    今まで98とMeでJAVAの勉強をしていました。 あたらしくxpのpcを購入したのでsdkをインストールしたのですが、うまく動作しません。 環境変数でPathをとうしましたが、 javac [enter] とした場合にはいつものメッセージが出て、しかもコンパイル間でできたので安心したのですが、 java [enter] とした場合にうまくいきません。つまり実行できません。 具体的には Error occurred during initialization of VM java/lang/NoClassDefFoundError: java/lang/Object とでてしまうのです。 どうすればいいのでしょうか???

    • ベストアンサー
    • Java
  • OracleのPatch適用時について

    OracleのPatch適用時についての質問です。 現在、Oracle9.2.0.8環境にPatch3を適用しようとしていますが、 Opatchを使用してインストール中に以下の様なメッセージが出力されます。 『ERROR: OPatch failed as verification of the patch failed. OPatch returns with error code = 240』 Opatchのエラーは検索しても引っかからない為、大変困っています。 ご存知な方がいらっしゃいましたら対策を教えて頂けませんでしょうか。 宜しくお願い致します。

  • oracleインストール中にエラー

    いつも楽しく拝見させて頂いています。 オラクル(oracle9iDatabase)をインストール中に「oci.dll書込み中にエラーが発生しました」とダイアログ表示され、インストールできません。 ログを見たところ、「プロセスで使用中されています」となっています。どのプロセスを終了したら解決できるのかわかりません。それとも全く別の問題でしょうか?どうか宜しくお願いします。 OS:WINDOWS XP HOMEエディション oracleバージョン:oracle9.2.0.1.0

  • oracleインストールでエラー

    OS HP-UXにoracleをインストールしようとしています。 oracleメディアに~.zipがあります。 まずメディアに入っているzipファイルを インストールしようとしているサーバにcpコマンドでコピーしました。 そしてunzipで解凍したところ、Diskフォルダが解凍されました。 その中のrunInstallerをX環境で実行させたところ、 「実行パーミッションがありません」というエラーが発生しました。 コピー、解凍、インストールもoracle権限で行おうとしています。 oracle権限でインストールしようとしています。 解決策について教えてください。

  • インポートエラー(IMP-00010)

    Solaris上のOracle9.2.0 でエクスポートしたファイルを Windows上のOracle9.0.1 にインポートしようとしたら 以下のエラーがでました ----------------------------------- IMP-00010:有効なエクスポート・ファイルではありません。ヘッダーは検証に失敗しました IMP-00000:エラーが発生したためインポートを終了します。 ----------------------------------- 原因は、Oracleのバージョン違い(9.2.0から9.0.1へのバージョンダウン)による物でしょうか?。 それとも、SolarisからWindowsにインポートした事による、例えば文字コード等による物でしょうか? また、原因に対する解決策はありますでしょうか?

  • JAVA jdkのインストールしたのですが実行できません

    jdkをインストールしたのですが、コマンドプロンプトでコンパイルと実行が出来ません。 画面には、『Error occurred during initialization of VM java/lang/NoClassDefFoundError: java/lang/Object』 となります。 一応、環境変数(マイコンピューターからプロパティに入り設定)のPATHに;C:\Program Files\Java\jdk1.5.0\binを入力しました。 自分は初心者なので、よく分からない形で図々しい質問になってしまい申しわけありませんがよろしくお願いいたします。 また、Javaファイルの保存先はbinに保存でいいのでしょうか? 他の場所にファイルを保存して出来ないでしょうか?申し訳ありませんが、よろしくお願いいたします。

  • Oracleインストールについて HP-UX

    OS HP-UX(11.31) Oracle(10.2.0.5)をメディアからインストールしたいと思います。 ただし上記はパッチですので、上記を実行してもエラーが発生します。 元のOracle(10.2.0.1)を実行したところ、(./runInstaller) Oracle Universal Installerを起動中… インストーラ要件の確認中… 6Sバージョンを確認中…必須11.23 実際11.31 失敗しました となり終了してしまいます。 HP-UXのバージョンが11.31と新しいため失敗しているエラー内容みたいですが、 インストールするにはどうしたらよいでしょうか。 HP-UX11.31で、Oracleをインストールする方法を教えてください。